import vector2
import gamesprite
import roles

class ForestWalker1(gamesprite.GameSprite):
    def __init__(self,x=0,y=0,world=0):
        gamesprite.GameSprite.__init__(self,x*world.factorH,y*world.factorV,world.renderWidth,world.renderHeight,world)
        self.loadsprites()
        self.action="stand"

        self.worldPos=vector2.Vector2(x*self.world.factorH,y*self.world.factorV)
        self.screenPos=self.worldPos-self.world.mapDraw

        self.role=roles.RGroundWalker(self,world)
        if self.debug: self.role.debug=1
        self.grounded=True

    def act(self):
        self.role.execute()

